Bug 1025828 - [AMQP 1.0] Receiver::get() doesn't replenish credit
[AMQP 1.0] Receiver::get() doesn't replenish credit
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
Development
Unspecified Unspecified
medium Severity unspecified
: 3.0
: ---
Assigned To: Gordon Sim
Petr Matousek
:
Depends On:
Blocks: 1010399
  Show dependency treegraph
 
Reported: 2013-11-01 13:03 EDT by Gordon Sim
Modified: 2015-01-21 07:56 EST (History)
4 users (show)

See Also:
Fixed In Version: qpid-cpp-0.22-25.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-21 07:56:39 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Apache JIRA QPID-5286 None None None Never

  None (edit)
Description Gordon Sim 2013-11-01 13:03:23 EDT
Description of problem:

Receiver::get() doesn't replenish credit when using 1.0 (fetch() does, and get() over 0-10 does).

Version-Release number of selected component (if applicable):

0.24

How reproducible:

100%

Steps to Reproduce:
1. create receiver with say 5 messages capacity on queue that has more than 5 messages
2. call get() until it can't retrieve a message

Actual results:

Only get as many messages as initial capacity (5 in this case)

Expected results:

Get all available messages.

Additional info:
Comment 1 Gordon Sim 2013-11-01 13:04:07 EDT
Fixed upstream: https://svn.apache.org/r1537985
Comment 2 Petr Matousek 2014-02-06 08:44:38 EST
This issue has been fixed. Verified on rhel6.5 (x86_64, i386).

packages under test:
qpid-cpp-*-0.22-33

-> VERIFIED

Note You need to log in before you can comment on or make changes to this bug.